"""gazhdict URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from addentry.views import hello_world, add_entry
from search.views import ga_search

urlpatterns = [
    path('accounts/', include('django.contrib.auth.urls')), # account verification, login/logout, etc.
    path('admin/', admin.site.urls),
    path('hello/', hello_world),
    path('add_entry/', add_entry),
    path('', ga_search, name="ga_search"),
    path('index.html', ga_search, name="ga_search"),
    path('ga_search/<str:entry>/', ga_search, name="ga_search"),
    path('ga_search/', ga_search, name="ga_search"),

]
